> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendkit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an email

> Retrieve a single email by ID, including its events, domain, and template details.



## OpenAPI

````yaml GET /emails/{id}
openapi: 3.1.0
info:
  title: SendKit API
  description: The SendKit API allows you to send transactional emails programmatically.
  version: 1.0.0
servers:
  - url: https://api.sendkit.dev
security:
  - bearerAuth: []
paths:
  /emails/{id}:
    get:
      tags:
        - Emails
      summary: Get an email
      description: >-
        Retrieve a single email by ID, including its events, domain, and
        template details.
      operationId: getEmail
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The email ID.
      responses:
        '200':
          description: The email object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Email'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Email:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        from:
          type: string
          example: hello@example.com
        to:
          type: string
          example: user@example.com
        subject:
          type: string
          example: Welcome to our service
        last_event:
          type: string
          enum:
            - sent
            - delivered
            - bounced
            - complained
            - opened
            - clicked
            - failed
            - delivery_delayed
            - rejected
            - suppressed
            - cancelled
          example: delivered
        domain:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
              example: example.com
        template:
          type: object
          nullable: true
          properties:
            id:
              type: string
              format: uuid
            name:
              type: string
              example: Welcome Email
        tags:
          type: array
          items:
            type: object
        events:
          type: array
          items:
            $ref: '#/components/schemas/EmailEvent'
        scheduled_at:
          type: string
          format: date-time
          nullable: true
          example: '2026-03-15 10:00:00'
        sent_at:
          type: string
          format: date-time
          nullable: true
          example: '2026-03-11 14:30:00'
        created_at:
          type: string
          format: date-time
          example: '2026-03-11 14:30:00'
    EmailEvent:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          example: delivered
        metadata:
          type: object
        created_at:
          type: string
          format: date-time
          example: '2026-03-11 14:30:05'
    ErrorResponse:
      type: object
      properties:
        name:
          type: string
          description: Error type identifier.
          example: validation_error
        message:
          type: string
          description: Human-readable error message.
          example: The from address domain is not verified.
  responses:
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            message: Invalid API key.
    NotFound:
      description: The requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key from your SendKit dashboard. Pass it as a Bearer token in the
        Authorization header.

````